curl --request GET \
--url https://api.bridge.xyz/v0/wallets/{bridgeWalletID}/history \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/wallets/{bridgeWalletID}/history"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/wallets/{bridgeWalletID}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridge.xyz/v0/wallets/{bridgeWalletID}/history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bridge.xyz/v0/wallets/{bridgeWalletID}/history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bridge.xyz/v0/wallets/{bridgeWalletID}/history")
.header("Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridge.xyz/v0/wallets/{bridgeWalletID}/history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"count": 1,
"data": [
{
"id": "bwe_123",
"bridge_wallet_id": "bw_123",
"amount": "500.000000",
"available_balance": "500.000000",
"currency": "usdc",
"type": "withdrawal",
"source": {
"currency": "usdc",
"payment_rail": "ethereum"
},
"destination": {
"currency": "usd",
"payment_rail": "ach"
},
"payment_route": {
"type": "transfer",
"customer_id": "cust_123",
"transfer_id": "transfer_123"
},
"created_at": "2025-01-01T00:00:00.000Z"
}
]
}Get transaction history for a Bridge Wallet
Get the list of transactions involving this Bridge Wallet
curl --request GET \
--url https://api.bridge.xyz/v0/wallets/{bridgeWalletID}/history \
--header 'Api-Key: <api-key>'import requests
url = "https://api.bridge.xyz/v0/wallets/{bridgeWalletID}/history"
headers = {"Api-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};
fetch('https://api.bridge.xyz/v0/wallets/{bridgeWalletID}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.bridge.xyz/v0/wallets/{bridgeWalletID}/history",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Api-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.bridge.xyz/v0/wallets/{bridgeWalletID}/history"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Api-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.bridge.xyz/v0/wallets/{bridgeWalletID}/history")
.header("Api-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.bridge.xyz/v0/wallets/{bridgeWalletID}/history")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Api-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"count": 1,
"data": [
{
"id": "bwe_123",
"bridge_wallet_id": "bw_123",
"amount": "500.000000",
"available_balance": "500.000000",
"currency": "usdc",
"type": "withdrawal",
"source": {
"currency": "usdc",
"payment_rail": "ethereum"
},
"destination": {
"currency": "usd",
"payment_rail": "ach"
},
"payment_route": {
"type": "transfer",
"customer_id": "cust_123",
"transfer_id": "transfer_123"
},
"created_at": "2025-01-01T00:00:00.000Z"
}
]
}Path Parameters
Query Parameters
This is a bridge wallet event id. If this is specified, the next page that starts with an event right AFTER the specified event id on the event timeline, which is always ordered from the newest to the oldest by creation time, will be returned. This also implies that events older than the specified event id will be returned (shouldn't be set if ending_before is set)
This is a bridge wallet event id. If this is specified, the previous page that ends with an event right BEFORE the specified event id on the event timeline, which is always ordered from the newest to the oldest by creation time, will be returned. This also implies that events newer than the specified event id will be returned (shouldn't be set if starting_after is set)
Was this page helpful?